• Log inStart now

Node.js agent v9.1.0

September 22, 2022Download

Notes

  • Added experimental loader to support instrumentation of CommonJS packages in ECMAScript Module(ESM) applications.

    • It only supports versions of Node.js >= 16.12.0.
    • It is subject to change due to its experimental stability.
  • Enhanced supportability metrics for ESM support.

    • Added new metrics to track usage of ESM loader(Supportability/Features/ESM/Loader and Supportability/Features/ESM/UnsupportedLoader).
    • Updated instrumentation map to include an optional "friendly name" for tracking metrics.
  • Enabled re-throwing ESM import errors of newrelic.js so that the user is informed to rename it to newrelic.cjs

  • Fixed an issue with mongodb instrumentation where IPv6 address([::1]) was not getting mapped to localhost when setting the host attribute on the segment.

  • Added a test ESM loader to properly mock out agent in versioned tests.

  • Added ESM versioned tests for: express, pg, mongodb, and @grpc/grpc-js.

Support statement:

  • New Relic recommends that you upgrade the agent regularly to ensure that you're getting the latest features and performance benefits. Additionally, older releases will no longer be supported when they reach end-of-life.
Copyright © 2022 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.